XMLHelper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.xml
Class XMLHelper

    java.lang.Object
      org.hibernate.internal.util.xml.XMLHelper

    public final class XMLHelper

extends Object

Small helper class that lazy loads DOM and SAX reader and keep them for fast use afterwards.

Field Summary
`static EntityResolver` | `DEFAULT_DTD_RESOLVER`

Constructor Summary
`XMLHelper()`

Method Summary
`org.dom4j.io.DOMReader` | `createDOMReader()`
`org.dom4j.io.SAXReader` | `createSAXReader(ErrorHandler errorHandler, EntityResolver entityResolver)`
`static void` | `dump(org.dom4j.Element element)`
`static org.dom4j.Element` | `generateDom4jElement(String elementName)`
`static org.dom4j.DocumentFactory` | `getDocumentFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DTD_RESOLVER

    public static final EntityResolver DEFAULT_DTD_RESOLVER

Constructor Detail

### XMLHelper

    public XMLHelper()

Method Detail

### createSAXReader

    public org.dom4j.io.SAXReader createSAXReader(ErrorHandler errorHandler,
                                                  EntityResolver entityResolver)

  Parameters:
    `errorHandler` - the sax error handler
    `entityResolver` - an xml entity resolver
  Returns:
    Create and return a dom4j `SAXReader` which will append all validation errors to the passed error list

### createDOMReader

    public org.dom4j.io.DOMReader createDOMReader()

  Returns:
    create and return a dom4j DOMReader

### generateDom4jElement

    public static org.dom4j.Element generateDom4jElement(String elementName)

### getDocumentFactory

    public static org.dom4j.DocumentFactory getDocumentFactory()

### dump

    public static void dump(org.dom4j.Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.